Package com.smartgwt.logicalstructure.widgets

# Class WindowLogicalStructure

java.lang.Object
com.smartgwt.logicalstructure.core.LogicalStructureObject
com.smartgwt.logicalstructure.widgets.BaseWidgetLogicalStructure
com.smartgwt.logicalstructure.widgets.CanvasLogicalStructure
com.smartgwt.logicalstructure.widgets.layout.LayoutLogicalStructure
com.smartgwt.logicalstructure.widgets.layout.VLayoutLogicalStructure
com.smartgwt.logicalstructure.widgets.WindowLogicalStructure

Direct Known Subclasses:
  `AISortProgressDialogLogicalStructure`, `AIWindowLogicalStructure`, `ColorPickerLogicalStructure`, `DateRangeDialogLogicalStructure`, `DialogLogicalStructure`, `EditSearchWindowLogicalStructure`, `FieldPickerWindowLogicalStructure`, `ListPropertiesDialogLogicalStructure`, `MultiGroupDialogLogicalStructure`, `MultiSortDialogLogicalStructure`, `PortletLogicalStructure`, `PrintWindowLogicalStructure`, `TourWindowLogicalStructure`

public class WindowLogicalStructure extends VLayoutLogicalStructure

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `String`
  `animateMinimize`
  `String`
  `autoCenter`
  `String`
  `autoSize`
  `String`
  `bodyColor`
  `String`
  `bodyStyle`
  `String`
  `bringToFrontOnMouseUp`
  `String`
  `canDragReposition`
  `String`
  `canDragResize`
  `String`
  `canFocusInHeaderButtons`
  `String`
  `contentLayout`
  `String`
  `contentsType`
  `String`
  `defaultMinimizeHeight`
  `String`
  `dismissOnEscape`
  `String`
  `dismissOnOutsideClick`
  `String`
  `editProxyConstructor`
  `String`
  `fillSpaceStyleName`
  `String[]`
  `footerControls`
  `String`
  `footerHeight`
  `Canvas[]`
  `headerControlsAsCanvasArray`
  `String[]`
  `headerControlsAsStringArrayArray`
  `String`
  `headerSrc`
  `String`
  `headerStyle`
  `String`
  `hiliteBodyColor`
  `String`
  `hiliteHeaderSrc`
  `String`
  `hiliteHeaderStyle`
  `String`
  `isModal`
  `String`
  `keepInParentRectAsString`
  `String`
  `maximized`
  `String`
  `minimizeAcceleration`
  `String`
  `minimized`
  `String`
  `minimizeHeight`
  `String`
  `minimizeTime`
  `String`
  `modalMaskOpacity`
  `String`
  `modalMaskStyle`
  `String`
  `opacity`
  `String`
  `placement`
  `String`
  `printBodyStyle`
  `String`
  `printHeaderStyle`
  `String[]`
  `resizeFrom`
  `String`
  `showBody`
  `String`
  `showCloseButton`
  `String`
  `showEdges`
  `String`
  `showFooter`
  `String`
  `showHeader`
  `String`
  `showHeaderBackground`
  `String`
  `showHeaderIcon`
  `String`
  `showMaximizeButton`
  `String`
  `showMinimizeButton`
  `String`
  `showModalMask`
  `String`
  `showResizer`
  `String`
  `showShadow`
  `String`
  `showStatusBar`
  `String`
  `showTitle`
  `String`
  `src`
  `String`
  `status`
  `String`
  `title`
  `String`
  `useBackMask`

  ### Fields inherited from class com.smartgwt.logicalstructure.widgets.layout.LayoutLogicalStructure

  `alignAsString, animateMembers, animateMemberTime, canDropComponents, defaultLayoutAlignAsString, defaultResizeBars, dropLineThickness, enforcePolicy, hPolicy, layoutBottomMargin, layoutEndMargin, layoutLeftMargin, layoutMargin, layoutRightMargin, layoutStartMargin, layoutTopMargin, leaveScrollbarGap, locateMembersBy, locateMembersType, managePercentBreadth, memberOverlap, membersAsCanvasArray, membersAsStringArrayArray, membersMargin, minMemberLength, minMemberSize, overflow, paddingAsLayoutMargin, resizeBarClass, resizeBarSize, reverseOrder, showDragPlaceHolder, showDropLines, stackZIndex, vertical, vPolicy`

  ### Fields inherited from class com.smartgwt.logicalstructure.widgets.CanvasLogicalStructure

  `accessKey, adaptiveHeightPriority, adaptiveWidthPriority, alwaysManageFocusNavigation, alwaysShowScrollbars, animateAcceleration, animateFadeTime, animateHideAcceleration, animateHideTime, animateMoveAcceleration, animateMoveTime, animateRectAcceleration, animateRectTime, animateResizeAcceleration, animateResizeLayoutMode, animateResizeTime, animateScrollAcceleration, animateScrollTime, animateShowAcceleration, animateShowTime, animateTime, appImgDir, ariaRole, autoMaskComponents, autoParent, autoPopulateData, autoRevertStyles, autoShowParent, backgroundColor, backgroundImage, backgroundPosition, backgroundRepeat, border, borderRadiusAsString, canAcceptDrop, canAdaptHeight, canAdaptWidth, canDrag, canDragScroll, canDrop, canDropBefore, canDropContent, canDropFiles, canFocus, canHover, canSelectText, canvasItem, childrenAsCanvasArray, childrenAsStringArrayArray, childrenResizeSnapAlign, childrenSnapAlign, childrenSnapCenterAlign, childrenSnapEdgeAlign, childrenSnapResizeToGrid, childrenSnapToGrid, contents, contentsComponentDefaults, contextMenu, correctZoomOverflow, cursor, dataContext, dataPath, defaultHeight, defaultWidth, deferActionConversion, definingProperty, definingPropertyNameOptions, destroyed, destroying, disabled, disabledCursor, disableTouchScrollingForDrag, doubleClickDelay, dragAppearance, dragIntersectStyle, dragMaskType, dragMaxHeight, dragMaxWidth, dragMinHeight, dragMinWidth, dragOpacity, dragRepositionAppearance, dragRepositionCursor, dragResizeAppearance, dragScrollDelay, dragStartDistance, dragTargetAsCanvas, dragTargetAsString, dragType, dropTargetAsCanvas, dropTargetAsString, dropTypesAsStringArrayArray, dynamicContents, edgeBackgroundColor, edgeCenterBackgroundColor, edgeImage, edgeMarginSize, edgeOffset, edgeOpacity, edgeShowCenter, edgeSize, editNode, enableWhen, endLine, extraSpace, floatingScrollbars, forwardSVGeventsToObject, groupBorderCSS, groupLabelBackgroundColor, groupLabelStyleName, groupPadding, groupTitle, heightAsString, hideUsingDisplayNone, hoverAlign, hoverAutoDestroy, hoverAutoFitMaxWidthAsString, hoverAutoFitWidth, hoverDelay, hoverFocusKey, hoverHeight, hoverMoveWithMouse, hoverOpacity, hoverPersist, hoverScreen, hoverStyle, hoverVAlign, hoverWidth, hoverWrap, htmlElementAsString, htmlPosition, ID, isGroup, isPrinting, isRuleScope, isSnapAlignCandidate, layoutAlignAsString, leaveGroupLabelSpace, leavePageSpace, leftAsString, locateByIDOnly, locateChildrenBy, locateChildrenType, locatePeersBy, locatePeersType, locatorName, margin, masterElement, matchElement, matchElementHeight, matchElementWidth, maxHeight, maxWidth, maxZoomOverflowError, menuConstructorAsString, minHeight, minNonEdgeSize, minWidth, momentumScrollMinSpeed, mouseStillDownDelay, mouseStillDownInitialDelay, name, nativeAutoHideScrollbars, noDoubleClicks, noDropCursor, padding, parentCanvasAsCanvas, parentCanvasAsString, parentElementAsCanvas, parentElementAsString, peers, pendingMarkerStyle, pendingMarkerVisible, percentBox, percentSource, persistentMatchElement, pointerSettings, pointerTargetAsString, position, printChildrenAbsolutelyPositioned, printStyleName, prompt, proportionalResizeModifiers, proportionalResizing, receiveScrollbarEvents, redrawOnResize, resizeBarTarget, ruleScope, scrollbarSize, shadowColor, shadowDepth, shadowHOffset, shadowImage, shadowOffset, shadowSoftness, shadowSpread, shadowVOffset, shareCriteria, shouldPrint, showCustomScrollbars, showDragShadow, showFocusOutline, showHover, showHoverComponents, showPointer, showResizeBar, showSnapGrid, shrinkElementOnHide, singleDiv, sizeMayChangeOnRedraw, skinImgDir, snapAlignCandidates, snapAlignCenterLineStyle, snapAlignEdgeLineStyle, snapAxis, snapEdge, snapGridStyle, snapHDirection, snapHGap, snapOffsetLeft, snapOffsetTop, snapOnDrop, snapResizeToAlign, snapResizeToGrid, snapTo, snapToAlign, snapToCenterAlign, snapToEdgeAlign, snapToGrid, snapVDirection, snapVGap, startLine, styleName, suppressRedraw, tabIndex, testDataContext, topAsString, topElement, updateTabPositionOnDraw, updateTabPositionOnReparent, useCSSShadow, useDataContextCriteria, useDragMask, useGeneratedStyles, useImageForSVG, useNativeDrag, useOpacityFilter, useTouchScrolling, valuesManagerAsString, valuesManagerAsValuesManager, visibility, visibleWhen, widthAsString, workflows`

  ### Fields inherited from class com.smartgwt.logicalstructure.widgets.BaseWidgetLogicalStructure

  `autoDraw`

  ### Fields inherited from class com.smartgwt.logicalstructure.core.LogicalStructureObject

  `logicalStructureErrors, scClassName`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `WindowLogicalStructure()`

- ## Method Summary

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### animateMinimize

    public String animateMinimize

  - ### autoCenter

    public String autoCenter

  - ### autoSize

    public String autoSize

  - ### bodyColor

    public String bodyColor

  - ### bodyStyle

    public String bodyStyle

  - ### bringToFrontOnMouseUp

    public String bringToFrontOnMouseUp

  - ### canDragReposition

    public String canDragReposition

  - ### canDragResize

    public String canDragResize

  - ### canFocusInHeaderButtons

    public String canFocusInHeaderButtons

  - ### contentLayout

    public String contentLayout

  - ### contentsType

    public String contentsType

  - ### defaultMinimizeHeight

    public String defaultMinimizeHeight

  - ### dismissOnEscape

    public String dismissOnEscape

  - ### dismissOnOutsideClick

    public String dismissOnOutsideClick

  - ### editProxyConstructor

    public String editProxyConstructor

  - ### fillSpaceStyleName

    public String fillSpaceStyleName

  - ### footerControls

    public String[] footerControls

  - ### footerHeight

    public String footerHeight

  - ### headerControlsAsStringArrayArray

    public String[] headerControlsAsStringArrayArray

  - ### headerControlsAsCanvasArray

    public Canvas[] headerControlsAsCanvasArray

  - ### headerSrc

    public String headerSrc

  - ### headerStyle

    public String headerStyle

  - ### hiliteBodyColor

    public String hiliteBodyColor

  - ### hiliteHeaderSrc

    public String hiliteHeaderSrc

  - ### hiliteHeaderStyle

    public String hiliteHeaderStyle

  - ### isModal

    public String isModal

  - ### keepInParentRectAsString

    public String keepInParentRectAsString

  - ### maximized

    public String maximized

  - ### minimizeAcceleration

    public String minimizeAcceleration

  - ### minimized

    public String minimized

  - ### minimizeHeight

    public String minimizeHeight

  - ### minimizeTime

    public String minimizeTime

  - ### modalMaskOpacity

    public String modalMaskOpacity

  - ### modalMaskStyle

    public String modalMaskStyle

  - ### opacity

    public String opacity

  - ### placement

    public String placement

  - ### printBodyStyle

    public String printBodyStyle

  - ### printHeaderStyle

    public String printHeaderStyle

  - ### resizeFrom

    public String[] resizeFrom

  - ### showBody

    public String showBody

  - ### showCloseButton

    public String showCloseButton

  - ### showEdges

    public String showEdges

  - ### showFooter

    public String showFooter

  - ### showHeader

    public String showHeader

  - ### showHeaderBackground

    public String showHeaderBackground

  - ### showHeaderIcon

    public String showHeaderIcon

  - ### showMaximizeButton

    public String showMaximizeButton

  - ### showMinimizeButton

    public String showMinimizeButton

  - ### showModalMask

    public String showModalMask

  - ### showResizer

    public String showResizer

  - ### showShadow

    public String showShadow

  - ### showStatusBar

    public String showStatusBar

  - ### showTitle

    public String showTitle

  - ### src

    public String src

  - ### status

    public String status

  - ### title

    public String title

  - ### useBackMask

    public String useBackMask

- ## Constructor Details

  - ### WindowLogicalStructure

    public WindowLogicalStructure()